summaryrefslogtreecommitdiff
path: root/resources/scripts/modify
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-05-13 03:50:27 +0100
committerLeah Rowe <leah@libreboot.org>2023-05-13 03:51:58 +0100
commit174d3af7a663c186811b99a6d2d903839ee022f1 (patch)
tree8f12d89174ceb6357b7de3608af602718d5cb91b /resources/scripts/modify
parentc8dfc3ccaadd4fce39dbc437880b7db8630110fd (diff)
modify/seabios: cleaner coding style
same as build/boot/roms
Diffstat (limited to 'resources/scripts/modify')
-rwxr-xr-xresources/scripts/modify/seabios/configs78
1 files changed, 35 insertions, 43 deletions
diff --git a/resources/scripts/modify/seabios/configs b/resources/scripts/modify/seabios/configs
index e05a46bf..614a4371 100755
--- a/resources/scripts/modify/seabios/configs
+++ b/resources/scripts/modify/seabios/configs
@@ -1,9 +1,8 @@
#!/usr/bin/env sh
-#
# helper script: modify coreboot configs (run make menuconfig)
#
-# Copyright (C) 2021 Leah Rowe <info@minifree.org>
+# Copyright (C) 2021, 2023 Leah Rowe <info@minifree.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -17,48 +16,41 @@
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-#
-
-# This script assumes that the working directory is the root
-# of git or release archive
[ "x${DEBUG+set}" = 'xset' ] && set -v
set -u -e
-printf "Updating seabios configs\n"
-
-if [ ! -d "seabios" ]; then
- ./download seabios
-fi
-
-if [ ! -d "seabios" ]; then
- printf "error: Failed to download SeaBIOS. check internet connection?\n"
- exit 1
-fi
-
-for config in resources/seabios/config/*; do
-
- if [ ! -f "${config}" ]; then continue; fi
-
- (
- cd seabios
- make distclean
- )
-
- mv "${config}" seabios/.config
- (
- cd seabios
- make menuconfig
- )
-
- cp seabios/.config "${config}"
-
- (
- cd seabios
- make distclean
- )
-
-done
-
-printf "\n\n"
-
+main()
+{
+ printf "Updating seabios configs\n"
+ download_seabios
+ modify_configs
+}
+
+download_seabios()
+{
+ if [ ! -d "seabios" ]; then
+ ./download seabios
+ fi
+ if [ ! -d "seabios" ]; then
+ printf "error: Failed to download SeaBIOS. "
+ printf "Check internet connection?\n"
+ exit 1
+ fi
+}
+
+modify_configs()
+{
+ for config in resources/seabios/config/*; do
+ if [ ! -f "${config}" ]; then
+ continue
+ fi
+ make distclean -BC seabios
+ mv "${config}" seabios/.config
+ make menuconfig -BC seabios
+ cp seabios/.config "${config}"
+ make distclean -BC seabios
+ done
+}
+
+main $@